class PriceList {
    constructor() {
        this.form = document.getElementById("fSearch");
    }

    ChangePerPage(e) {
        this.form.elements["page"].value = 1;
        this.submit();
    }

    submit() {
        this.form.submit();
    }
}

const priceList = new PriceList();

$(document).on("change", "#perPage", (e) => priceList.ChangePerPage(e));

$(document).on("change", "#sDate, #eDate", (e) => priceList.submit(e));